Class | Chef::Provider::Cron
In: | lib/chef/provider/cron.rb lib/chef/provider/cron/solaris.rb
Parent: | Chef::Provider

### Methods

action_create action_delete compare_cron load_current_resource new

### Included Modules

Chef::Mixin::Command

### Classes and Modules

Class Chef::Provider::Cron::Solaris

### Constants

CRON_PATTERN | = | /([-0-9*,\/]+)\s([-0-9*,\/]+)\s([-0-9*,\/]+)\s([-0-9*,\/]+)\s([-0-9*,\/]+)\s(.*)/

### Attributes

cron_empty | [RW] |
cron_exists | [RW] |

### Public Class methods

new(new_resource, run_context)

### Public Instance methods

action_create()
action_delete()
compare_cron()
load_current_resource()

[Validate]